# $Id: perl-Convert-BER.spec 8339 2009-12-31 10:40:22Z cmr $
# Authority: dag
# Upstream: Graham Barr <gbarr$pobox,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Convert-BER

Summary: ASN.1 Basic Encoding Rules perl module
Name: perl-Convert-BER
Version: 1.32
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Convert-BER/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/Convert-BER-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl >= 0:5.00503
BuildRequires: perl(ExtUtils::MakeMaker) >= 0:5.00503
Requires: perl >= 0:5.00503

%description
ASN.1 Basic Encoding Rules perl module.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog MANIFEST README
%doc %{_mandir}/man3/Convert::BER.3pm*
%dir %{perl_vendorlib}/Convert/
#%{perl_vendorlib}/Convert/BER/
%{perl_vendorlib}/Convert/BER.pm
%{perl_vendorlib}/Convert/BER.pod

%changelog
* Thu Dec 31 2009 Christoph Maser <cmr@financial.com> - 1.32-1 - 8339/cmr
- Updated to version 1.32.

* Sat Nov 24 2007 Dag Wieers <dag@wieers.com> - 1.3101-1
- Switch to upstream version.

* Tue Mar 16 2004 Dag Wieers <dag@wieers.com> - 1.31.01-1
- Initial package. (using DAR)
